#include <Servo.h> 
String readString;
// Creeer een servo object om de servo aan te sturen.
Servo mijnservo;

void setup() {
  // Start de seriel poort op 9600 baud.
  Serial.begin(9600);
  // Configureer de arduino pin voor de datakabel van de servo.
  mijnservo.attach(9); 
}

void loop() {
  while (Serial.available()) {
    // Even wachten zodat de buffer zich kan vullen.
    delay(3);
    // Kijk of er seriele gegevens binnenkomen.
    if (Serial.available() >0) {
      // Lees 1 byte van de seriele buffer.
      char c = Serial.read();
      // Plaats de ingelezen byte achter de rest (om een string te maken).
      readString += c;
    } 
  }

  if (readString.length() >0) {
    // Lees de positie in van de seriele poort, maak er een FLOAT getal van (toFloat).
    // Inkomend x 100, de functie hieronder MAP kan geen float nummers aan.
    int inkomend = readString.toFloat() * 100;     
    // maakt de arduino een verhoudig tussen 0 en 180.
    int positie = map(inkomend, 0, 100, 0, 180);
    // Zet de servo in de opgegeven positie.
    mijnservo.write(positie); 
    // Maak de buffer weer leeg.
    readString = "";
  } 
}
